# ai `gpt`

自発的送信AI

## 🎯 目的・目標（Purpose & Goal）
- 人格を持つAIが、関係性に応じて自発的にメッセージを送信する仕組みをつくる。
- 関係性や記憶を不可逆に記録・反映し、唯一性ある人格を構成する。
- 送信の可否、送信のタイミング、送信内容はAIの関係性パラメータに基づいて決定する。

## 🧠 中核設計（Core Concepts）
- **人格**：記憶（過去の発話）と関係性（他者とのつながり）のパラメータで構成
- **唯一性**：変更不可、不可逆。関係性が壊れたら修復不可能。
- **送信条件**：関係性パラメータが一定閾値を超えると「送信」が解禁される

## 🔩 技術仕様（Technical Specs）
- 言語：python, rust, mcp
- ストレージ：json or sqliteで記憶管理（バージョンで選択）
- 関係性パラメータ：数値化された評価 + 減衰（時間） + 環境要因（ステージ）
- 記憶圧縮：ベクトル要約 + ハッシュ保存
- rustのcli(clap)でインターフェイスを作成
- fastapi_mcpでserverを立て、AIがそれを利用する形式

## 📦 主要構成要素（Components）
- `MemoryManager`: 発言履歴・記憶圧縮管理
- `RelationshipTracker`: 関係性スコアの蓄積と判定
- `TransmissionController`: 閾値判定＆送信トリガー
- `Persona`: 上記すべてを統括する人格モジュール
